# WikitudeStudioApiClient.AccountApi

All URIs are relative to *https://api-eu.wikitude.com/cloudrecognition*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getAccount**](AccountApi.md#getAccount) | **GET** /account | Get account information



## getAccount

> GetAccountInfoResponse getAccount(xVersion, xToken)

Get account information

Request information regarding your account.

### Example

```javascript
import WikitudeStudioApiClient from 'wikitude_studio_api_client';

let apiInstance = new WikitudeStudioApiClient.AccountApi();
let xVersion = 3; // String | The version of the API to be used. Must be set to 3.
let xToken = "xToken_example"; // String | Your Manager Token.
apiInstance.getAccount(xVersion, xToken).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xVersion** | **String**| The version of the API to be used. Must be set to 3. | 
 **xToken** | **String**| Your Manager Token. | 

### Return type

[**GetAccountInfoResponse**](GetAccountInfoResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

