/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import CreateObjectTargetImagesBody from '../model/CreateObjectTargetImagesBody';
import CreateObjectTargetWTOBody from '../model/CreateObjectTargetWTOBody';
import ExtendObjectTargetBody from '../model/ExtendObjectTargetBody';
import ObjectTargetJobResponse from '../model/ObjectTargetJobResponse';
import ObjectTargetResponse from '../model/ObjectTargetResponse';
import RenameObjectTargetBody from '../model/RenameObjectTargetBody';

/**
* ObjectTarget service.
* @module api/ObjectTargetApi
* @version 3.0.0
*/
export default class ObjectTargetApi {

    /**
    * Constructs a new ObjectTargetApi. 
    * @alias module:api/ObjectTargetApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * Create Object Target from Images
     * Create a new Object Target in an Object Target Collection from at least two Image files.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {module:model/CreateObjectTargetImagesBody} createObjectTargetImagesBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetJobResponse} and HTTP response
     */
    createObjectTargetFromImagesWithHttpInfo(xVersion, xToken, contentType, tcId, createObjectTargetImagesBody) {
      let postBody = createObjectTargetImagesBody;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling createObjectTargetFromImages");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling createObjectTargetFromImages");
      }
      // verify the required parameter 'contentType' is set
      if (contentType === undefined || contentType === null) {
        throw new Error("Missing the required parameter 'contentType' when calling createObjectTargetFromImages");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling createObjectTargetFromImages");
      }
      // verify the required parameter 'createObjectTargetImagesBody' is set
      if (createObjectTargetImagesBody === undefined || createObjectTargetImagesBody === null) {
        throw new Error("Missing the required parameter 'createObjectTargetImagesBody' when calling createObjectTargetFromImages");
      }

      let pathParams = {
        'tcId': tcId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken,
        'Content-Type': contentType
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ObjectTargetJobResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/target/images', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Create Object Target from Images
     * Create a new Object Target in an Object Target Collection from at least two Image files.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {module:model/CreateObjectTargetImagesBody} createObjectTargetImagesBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetJobResponse}
     */
    createObjectTargetFromImages(xVersion, xToken, contentType, tcId, createObjectTargetImagesBody) {
      return this.createObjectTargetFromImagesWithHttpInfo(xVersion, xToken, contentType, tcId, createObjectTargetImagesBody)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Create Object Target from WTO
     * Create a new Object Target in an Object Target Collection from a WTO file.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {module:model/CreateObjectTargetWTOBody} createObjectTargetWTOBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetJobResponse} and HTTP response
     */
    createObjectTargetFromWTOWithHttpInfo(xVersion, xToken, contentType, tcId, createObjectTargetWTOBody) {
      let postBody = createObjectTargetWTOBody;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling createObjectTargetFromWTO");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling createObjectTargetFromWTO");
      }
      // verify the required parameter 'contentType' is set
      if (contentType === undefined || contentType === null) {
        throw new Error("Missing the required parameter 'contentType' when calling createObjectTargetFromWTO");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling createObjectTargetFromWTO");
      }
      // verify the required parameter 'createObjectTargetWTOBody' is set
      if (createObjectTargetWTOBody === undefined || createObjectTargetWTOBody === null) {
        throw new Error("Missing the required parameter 'createObjectTargetWTOBody' when calling createObjectTargetFromWTO");
      }

      let pathParams = {
        'tcId': tcId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken,
        'Content-Type': contentType
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ObjectTargetJobResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/target/wto', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Create Object Target from WTO
     * Create a new Object Target in an Object Target Collection from a WTO file.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {module:model/CreateObjectTargetWTOBody} createObjectTargetWTOBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetJobResponse}
     */
    createObjectTargetFromWTO(xVersion, xToken, contentType, tcId, createObjectTargetWTOBody) {
      return this.createObjectTargetFromWTOWithHttpInfo(xVersion, xToken, contentType, tcId, createObjectTargetWTOBody)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Delete Object Target
     * Delete a particular Object Target from your Object Target Collection.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} targetId Unique identifier of the Object Target.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing HTTP response
     */
    deleteObjectTargetWithHttpInfo(xVersion, xToken, tcId, targetId) {
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling deleteObjectTarget");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling deleteObjectTarget");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling deleteObjectTarget");
      }
      // verify the required parameter 'targetId' is set
      if (targetId === undefined || targetId === null) {
        throw new Error("Missing the required parameter 'targetId' when calling deleteObjectTarget");
      }

      let pathParams = {
        'tcId': tcId,
        'targetId': targetId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = [];
      let returnType = null;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/target/{targetId}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Delete Object Target
     * Delete a particular Object Target from your Object Target Collection.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} targetId Unique identifier of the Object Target.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}
     */
    deleteObjectTarget(xVersion, xToken, tcId, targetId) {
      return this.deleteObjectTargetWithHttpInfo(xVersion, xToken, tcId, targetId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Extend Object Target
     * Add source images to an existing target.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} targetId Unique identifier of the Object Target.
     * @param {module:model/ExtendObjectTargetBody} extendObjectTargetBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetJobResponse} and HTTP response
     */
    extendObjectTargetWithHttpInfo(xVersion, xToken, contentType, tcId, targetId, extendObjectTargetBody) {
      let postBody = extendObjectTargetBody;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling extendObjectTarget");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling extendObjectTarget");
      }
      // verify the required parameter 'contentType' is set
      if (contentType === undefined || contentType === null) {
        throw new Error("Missing the required parameter 'contentType' when calling extendObjectTarget");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling extendObjectTarget");
      }
      // verify the required parameter 'targetId' is set
      if (targetId === undefined || targetId === null) {
        throw new Error("Missing the required parameter 'targetId' when calling extendObjectTarget");
      }
      // verify the required parameter 'extendObjectTargetBody' is set
      if (extendObjectTargetBody === undefined || extendObjectTargetBody === null) {
        throw new Error("Missing the required parameter 'extendObjectTargetBody' when calling extendObjectTarget");
      }

      let pathParams = {
        'tcId': tcId,
        'targetId': targetId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken,
        'Content-Type': contentType
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ObjectTargetJobResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/target/{targetId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Extend Object Target
     * Add source images to an existing target.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} targetId Unique identifier of the Object Target.
     * @param {module:model/ExtendObjectTargetBody} extendObjectTargetBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetJobResponse}
     */
    extendObjectTarget(xVersion, xToken, contentType, tcId, targetId, extendObjectTargetBody) {
      return this.extendObjectTargetWithHttpInfo(xVersion, xToken, contentType, tcId, targetId, extendObjectTargetBody)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Get Object Target
     * Request a specific Object Targets from your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} targetId Unique identifier of the Object Target.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetResponse} and HTTP response
     */
    getObjectTargetWithHttpInfo(xVersion, xToken, tcId, targetId) {
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling getObjectTarget");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling getObjectTarget");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling getObjectTarget");
      }
      // verify the required parameter 'targetId' is set
      if (targetId === undefined || targetId === null) {
        throw new Error("Missing the required parameter 'targetId' when calling getObjectTarget");
      }

      let pathParams = {
        'tcId': tcId,
        'targetId': targetId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = ObjectTargetResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/target/{targetId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Get Object Target
     * Request a specific Object Targets from your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} targetId Unique identifier of the Object Target.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetResponse}
     */
    getObjectTarget(xVersion, xToken, tcId, targetId) {
      return this.getObjectTargetWithHttpInfo(xVersion, xToken, tcId, targetId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Status - Object Target Generation Information
     * Retrieves information status about a particular scheduled Object Target creation.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} generationId Unique identifier of the asynchronous job created by a generation endpoint.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetJobResponse} and HTTP response
     */
    getObjectTargetStatusWithHttpInfo(xVersion, xToken, tcId, generationId) {
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling getObjectTargetStatus");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling getObjectTargetStatus");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling getObjectTargetStatus");
      }
      // verify the required parameter 'generationId' is set
      if (generationId === undefined || generationId === null) {
        throw new Error("Missing the required parameter 'generationId' when calling getObjectTargetStatus");
      }

      let pathParams = {
        'tcId': tcId,
        'generationId': generationId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = ObjectTargetJobResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/generation/targets/{generationId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Status - Object Target Generation Information
     * Retrieves information status about a particular scheduled Object Target creation.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} generationId Unique identifier of the asynchronous job created by a generation endpoint.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetJobResponse}
     */
    getObjectTargetStatus(xVersion, xToken, tcId, generationId) {
      return this.getObjectTargetStatusWithHttpInfo(xVersion, xToken, tcId, generationId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Get Object Targets
     * Request all Object Targets in a Target Collection.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link Array.<module:model/ObjectTargetResponse>} and HTTP response
     */
    getObjectTargetsWithHttpInfo(xVersion, xToken, tcId) {
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling getObjectTargets");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling getObjectTargets");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling getObjectTargets");
      }

      let pathParams = {
        'tcId': tcId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = [ObjectTargetResponse];
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/target', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Get Object Targets
     * Request all Object Targets in a Target Collection.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link Array.<module:model/ObjectTargetResponse>}
     */
    getObjectTargets(xVersion, xToken, tcId) {
      return this.getObjectTargetsWithHttpInfo(xVersion, xToken, tcId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Rename Object Target
     * Rename an existing target.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} targetId Unique identifier of the Object Target.
     * @param {module:model/RenameObjectTargetBody} renameObjectTargetBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetJobResponse} and HTTP response
     */
    renameObjectTargetWithHttpInfo(xVersion, xToken, contentType, tcId, targetId, renameObjectTargetBody) {
      let postBody = renameObjectTargetBody;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling renameObjectTarget");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling renameObjectTarget");
      }
      // verify the required parameter 'contentType' is set
      if (contentType === undefined || contentType === null) {
        throw new Error("Missing the required parameter 'contentType' when calling renameObjectTarget");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling renameObjectTarget");
      }
      // verify the required parameter 'targetId' is set
      if (targetId === undefined || targetId === null) {
        throw new Error("Missing the required parameter 'targetId' when calling renameObjectTarget");
      }
      // verify the required parameter 'renameObjectTargetBody' is set
      if (renameObjectTargetBody === undefined || renameObjectTargetBody === null) {
        throw new Error("Missing the required parameter 'renameObjectTargetBody' when calling renameObjectTarget");
      }

      let pathParams = {
        'tcId': tcId,
        'targetId': targetId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken,
        'Content-Type': contentType
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ObjectTargetJobResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/target/{targetId}/name', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Rename Object Target
     * Rename an existing target.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} targetId Unique identifier of the Object Target.
     * @param {module:model/RenameObjectTargetBody} renameObjectTargetBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetJobResponse}
     */
    renameObjectTarget(xVersion, xToken, contentType, tcId, targetId, renameObjectTargetBody) {
      return this.renameObjectTargetWithHttpInfo(xVersion, xToken, contentType, tcId, targetId, renameObjectTargetBody)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
