/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import CreateObjectTargetCollectionBody from '../model/CreateObjectTargetCollectionBody';
import GenerateWTOBody from '../model/GenerateWTOBody';
import ObjectTargetCollectionJobResponse from '../model/ObjectTargetCollectionJobResponse';
import ObjectTargetCollectionResponse from '../model/ObjectTargetCollectionResponse';
import ObjectTargetJobResponse from '../model/ObjectTargetJobResponse';
import UpdateObjectTargetCollectionBody from '../model/UpdateObjectTargetCollectionBody';

/**
* ObjectTargetCollection service.
* @module api/ObjectTargetCollectionApi
* @version 3.0.0
*/
export default class ObjectTargetCollectionApi {

    /**
    * Constructs a new ObjectTargetCollectionApi. 
    * @alias module:api/ObjectTargetCollectionApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * Create Object Target Collection
     * Create a new Object Target Collection in your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {module:model/CreateObjectTargetCollectionBody} createObjectTargetCollectionBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetCollectionResponse} and HTTP response
     */
    createObjectTargetCollectionWithHttpInfo(xVersion, xToken, contentType, createObjectTargetCollectionBody) {
      let postBody = createObjectTargetCollectionBody;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling createObjectTargetCollection");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling createObjectTargetCollection");
      }
      // verify the required parameter 'contentType' is set
      if (contentType === undefined || contentType === null) {
        throw new Error("Missing the required parameter 'contentType' when calling createObjectTargetCollection");
      }
      // verify the required parameter 'createObjectTargetCollectionBody' is set
      if (createObjectTargetCollectionBody === undefined || createObjectTargetCollectionBody === null) {
        throw new Error("Missing the required parameter 'createObjectTargetCollectionBody' when calling createObjectTargetCollection");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken,
        'Content-Type': contentType
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ObjectTargetCollectionResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Create Object Target Collection
     * Create a new Object Target Collection in your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {module:model/CreateObjectTargetCollectionBody} createObjectTargetCollectionBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetCollectionResponse}
     */
    createObjectTargetCollection(xVersion, xToken, contentType, createObjectTargetCollectionBody) {
      return this.createObjectTargetCollectionWithHttpInfo(xVersion, xToken, contentType, createObjectTargetCollectionBody)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Delete Object Target Collection
     * Delete a Object Target Collection and all its Object Targets.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing HTTP response
     */
    deleteObjectTargetCollectionWithHttpInfo(xVersion, xToken, tcId) {
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling deleteObjectTargetCollection");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling deleteObjectTargetCollection");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling deleteObjectTargetCollection");
      }

      let pathParams = {
        'tcId': tcId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = [];
      let returnType = null;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Delete Object Target Collection
     * Delete a Object Target Collection and all its Object Targets.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}
     */
    deleteObjectTargetCollection(xVersion, xToken, tcId) {
      return this.deleteObjectTargetCollectionWithHttpInfo(xVersion, xToken, tcId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Generate WTO
     * Generate a WTO file containing the Object Target Collection and all its Object Targets.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {module:model/GenerateWTOBody} generateWTOBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetCollectionJobResponse} and HTTP response
     */
    generateWTOWithHttpInfo(xVersion, xToken, contentType, tcId, generateWTOBody) {
      let postBody = generateWTOBody;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling generateWTO");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling generateWTO");
      }
      // verify the required parameter 'contentType' is set
      if (contentType === undefined || contentType === null) {
        throw new Error("Missing the required parameter 'contentType' when calling generateWTO");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling generateWTO");
      }
      // verify the required parameter 'generateWTOBody' is set
      if (generateWTOBody === undefined || generateWTOBody === null) {
        throw new Error("Missing the required parameter 'generateWTOBody' when calling generateWTO");
      }

      let pathParams = {
        'tcId': tcId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken,
        'Content-Type': contentType
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ObjectTargetCollectionJobResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/generation/wto', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Generate WTO
     * Generate a WTO file containing the Object Target Collection and all its Object Targets.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {module:model/GenerateWTOBody} generateWTOBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetCollectionJobResponse}
     */
    generateWTO(xVersion, xToken, contentType, tcId, generateWTOBody) {
      return this.generateWTOWithHttpInfo(xVersion, xToken, contentType, tcId, generateWTOBody)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Get Object Target Collection
     * Request a particular Object Target Collection from your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetCollectionResponse} and HTTP response
     */
    getObjectTargetCollectionWithHttpInfo(xVersion, xToken, tcId) {
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling getObjectTargetCollection");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling getObjectTargetCollection");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling getObjectTargetCollection");
      }

      let pathParams = {
        'tcId': tcId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = ObjectTargetCollectionResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Get Object Target Collection
     * Request a particular Object Target Collection from your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetCollectionResponse}
     */
    getObjectTargetCollection(xVersion, xToken, tcId) {
      return this.getObjectTargetCollectionWithHttpInfo(xVersion, xToken, tcId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Status - Get Object Target Collection jobs
     * Retrieves a list of asynchronous jobs sorted by creation date.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {Object} opts Optional parameters
     * @param {Number} opts.skip Set 0 to start with first collection, set e.g. to 2 to skip first 2 collections. Default value: 0
     * @param {Number} opts.limit Use positive value to define the amount of entries to return [1, 20] per page. Default value: 10
     * @param {String} opts.source filter the jobs by source. Available values (api, studio). Default value: api
     * @param {String} opts.type filter the jobs by type.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link Array.<module:model/ObjectTargetJobResponse>} and HTTP response
     */
    getObjectTargetCollectionStatusWithHttpInfo(xVersion, xToken, tcId, opts) {
      opts = opts || {};
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling getObjectTargetCollectionStatus");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling getObjectTargetCollectionStatus");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling getObjectTargetCollectionStatus");
      }

      let pathParams = {
        'tcId': tcId
      };
      let queryParams = {
        'skip': opts['skip'],
        'limit': opts['limit'],
        'source': opts['source'],
        'type': opts['type']
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = [ObjectTargetJobResponse];
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/jobs', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Status - Get Object Target Collection jobs
     * Retrieves a list of asynchronous jobs sorted by creation date.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {Object} opts Optional parameters
     * @param {Number} opts.skip Set 0 to start with first collection, set e.g. to 2 to skip first 2 collections. Default value: 0
     * @param {Number} opts.limit Use positive value to define the amount of entries to return [1, 20] per page. Default value: 10
     * @param {String} opts.source filter the jobs by source. Available values (api, studio). Default value: api
     * @param {String} opts.type filter the jobs by type.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link Array.<module:model/ObjectTargetJobResponse>}
     */
    getObjectTargetCollectionStatus(xVersion, xToken, tcId, opts) {
      return this.getObjectTargetCollectionStatusWithHttpInfo(xVersion, xToken, tcId, opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Get all Object Target Collections
     * Request all Object Target Collections from your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {Object} opts Optional parameters
     * @param {Number} opts.skip Set 0 to start with first entry, set e.g. to 2 to skip first 2 entries. Default value: 0
     * @param {Number} opts.limit Use positive value to define the amount of entries to return [1, 1000] per page. Default value: 1000
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link Array.<module:model/ObjectTargetCollectionResponse>} and HTTP response
     */
    getObjectTargetCollectionsWithHttpInfo(xVersion, xToken, opts) {
      opts = opts || {};
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling getObjectTargetCollections");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling getObjectTargetCollections");
      }

      let pathParams = {
      };
      let queryParams = {
        'skip': opts['skip'],
        'limit': opts['limit']
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = [ObjectTargetCollectionResponse];
      return this.apiClient.callApi(
        '/objectTargetCollection', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Get all Object Target Collections
     * Request all Object Target Collections from your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {Object} opts Optional parameters
     * @param {Number} opts.skip Set 0 to start with first entry, set e.g. to 2 to skip first 2 entries. Default value: 0
     * @param {Number} opts.limit Use positive value to define the amount of entries to return [1, 1000] per page. Default value: 1000
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link Array.<module:model/ObjectTargetCollectionResponse>}
     */
    getObjectTargetCollections(xVersion, xToken, opts) {
      return this.getObjectTargetCollectionsWithHttpInfo(xVersion, xToken, opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Status - Generate WTO
     * Retrieves information status about a particular scheduled wto generation.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} generationId Unique identifier of the asynchronous job created by a generation endpoint.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetCollectionJobResponse} and HTTP response
     */
    getWTOStatusWithHttpInfo(xVersion, xToken, tcId, generationId) {
      let postBody = null;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling getWTOStatus");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling getWTOStatus");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling getWTOStatus");
      }
      // verify the required parameter 'generationId' is set
      if (generationId === undefined || generationId === null) {
        throw new Error("Missing the required parameter 'generationId' when calling getWTOStatus");
      }

      let pathParams = {
        'tcId': tcId,
        'generationId': generationId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = ObjectTargetCollectionJobResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}/generation/wto/{generationId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Status - Generate WTO
     * Retrieves information status about a particular scheduled wto generation.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {String} generationId Unique identifier of the asynchronous job created by a generation endpoint.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetCollectionJobResponse}
     */
    getWTOStatus(xVersion, xToken, tcId, generationId) {
      return this.getWTOStatusWithHttpInfo(xVersion, xToken, tcId, generationId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Update Object Target Collection
     * Updates an existing Object Target Collection in your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {module:model/UpdateObjectTargetCollectionBody} updateObjectTargetCollectionBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ObjectTargetCollectionResponse} and HTTP response
     */
    updateObjectTargetCollectionWithHttpInfo(xVersion, xToken, contentType, tcId, updateObjectTargetCollectionBody) {
      let postBody = updateObjectTargetCollectionBody;
      // verify the required parameter 'xVersion' is set
      if (xVersion === undefined || xVersion === null) {
        throw new Error("Missing the required parameter 'xVersion' when calling updateObjectTargetCollection");
      }
      // verify the required parameter 'xToken' is set
      if (xToken === undefined || xToken === null) {
        throw new Error("Missing the required parameter 'xToken' when calling updateObjectTargetCollection");
      }
      // verify the required parameter 'contentType' is set
      if (contentType === undefined || contentType === null) {
        throw new Error("Missing the required parameter 'contentType' when calling updateObjectTargetCollection");
      }
      // verify the required parameter 'tcId' is set
      if (tcId === undefined || tcId === null) {
        throw new Error("Missing the required parameter 'tcId' when calling updateObjectTargetCollection");
      }
      // verify the required parameter 'updateObjectTargetCollectionBody' is set
      if (updateObjectTargetCollectionBody === undefined || updateObjectTargetCollectionBody === null) {
        throw new Error("Missing the required parameter 'updateObjectTargetCollectionBody' when calling updateObjectTargetCollection");
      }

      let pathParams = {
        'tcId': tcId
      };
      let queryParams = {
      };
      let headerParams = {
        'X-Version': xVersion,
        'X-Token': xToken,
        'Content-Type': contentType
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ObjectTargetCollectionResponse;
      return this.apiClient.callApi(
        '/objectTargetCollection/{tcId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null
      );
    }

    /**
     * Update Object Target Collection
     * Updates an existing Object Target Collection in your account.
     * @param {String} xVersion The version of the API to be used. Must be set to 3.
     * @param {String} xToken Your Manager Token.
     * @param {String} contentType The Content Type of the body. Must be set to application/json.
     * @param {String} tcId Unique identifier of the Object Target Collection.
     * @param {module:model/UpdateObjectTargetCollectionBody} updateObjectTargetCollectionBody 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ObjectTargetCollectionResponse}
     */
    updateObjectTargetCollection(xVersion, xToken, contentType, tcId, updateObjectTargetCollectionBody) {
      return this.updateObjectTargetCollectionWithHttpInfo(xVersion, xToken, contentType, tcId, updateObjectTargetCollectionBody)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
