/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from './ApiClient';
import CloudArchiveGenerationResponse from './model/CloudArchiveGenerationResponse';
import CloudArchiveGenerationResponseInputParams from './model/CloudArchiveGenerationResponseInputParams';
import CreateImageTargetCollectionBody from './model/CreateImageTargetCollectionBody';
import CreateImageTargetCollectionBodyCloudArchive from './model/CreateImageTargetCollectionBodyCloudArchive';
import CreateImageTargetsBody from './model/CreateImageTargetsBody';
import CreateImageTargetsResponse from './model/CreateImageTargetsResponse';
import CreateImageTargetsResponseInputParams from './model/CreateImageTargetsResponseInputParams';
import CreateImageTargetsResponseInputParamsTargets from './model/CreateImageTargetsResponseInputParamsTargets';
import CreateObjectTargetCollectionBody from './model/CreateObjectTargetCollectionBody';
import CreateObjectTargetImagesBody from './model/CreateObjectTargetImagesBody';
import CreateObjectTargetImagesBodyResource from './model/CreateObjectTargetImagesBodyResource';
import CreateObjectTargetWTOBody from './model/CreateObjectTargetWTOBody';
import CreateObjectTargetWTOBodyResource from './model/CreateObjectTargetWTOBodyResource';
import ExtendObjectTargetBody from './model/ExtendObjectTargetBody';
import GenerateHeatmapBody from './model/GenerateHeatmapBody';
import GenerateHeatmapResponse from './model/GenerateHeatmapResponse';
import GenerateHeatmapResponseInputParams from './model/GenerateHeatmapResponseInputParams';
import GenerateHeatmapStatusResponse from './model/GenerateHeatmapStatusResponse';
import GenerateHeatmapStatusResponsePayload from './model/GenerateHeatmapStatusResponsePayload';
import GenerateWTCBody from './model/GenerateWTCBody';
import GenerateWTCStatusResponse from './model/GenerateWTCStatusResponse';
import GenerateWTOBody from './model/GenerateWTOBody';
import GetAccountInfoResponse from './model/GetAccountInfoResponse';
import GetAccountInfoResponseStorage from './model/GetAccountInfoResponseStorage';
import ImageTargetCollectionResponse from './model/ImageTargetCollectionResponse';
import ImageTargetCollectionResponseCloudArchive from './model/ImageTargetCollectionResponseCloudArchive';
import ImageTargetCollectionResponseWtc from './model/ImageTargetCollectionResponseWtc';
import ImageTargetResponse from './model/ImageTargetResponse';
import ObjectTargetCollectionJobResponse from './model/ObjectTargetCollectionJobResponse';
import ObjectTargetCollectionResponse from './model/ObjectTargetCollectionResponse';
import ObjectTargetCollectionResponseWto from './model/ObjectTargetCollectionResponseWto';
import ObjectTargetJobResponse from './model/ObjectTargetJobResponse';
import ObjectTargetResponse from './model/ObjectTargetResponse';
import ObjectTargetResponseResource from './model/ObjectTargetResponseResource';
import ObjectTargetResponseWtoFile from './model/ObjectTargetResponseWtoFile';
import RenameObjectTargetBody from './model/RenameObjectTargetBody';
import SimilarityCheckBody from './model/SimilarityCheckBody';
import SimilarityCheckBodyImages from './model/SimilarityCheckBodyImages';
import SimilarityCheckResponse from './model/SimilarityCheckResponse';
import SimilarityCheckResponseInputParams from './model/SimilarityCheckResponseInputParams';
import SimilarityCheckResponseInputParamsImages from './model/SimilarityCheckResponseInputParamsImages';
import SimilarityCheckStatusResponse from './model/SimilarityCheckStatusResponse';
import SimilarityCheckStatusResponseCandidates from './model/SimilarityCheckStatusResponseCandidates';
import SimilarityCheckStatusResponseInputParams from './model/SimilarityCheckStatusResponseInputParams';
import SimilarityCheckStatusResponsePayload from './model/SimilarityCheckStatusResponsePayload';
import UpdateImageTargetBody from './model/UpdateImageTargetBody';
import UpdateImageTargetCollectionBody from './model/UpdateImageTargetCollectionBody';
import UpdateObjectTargetCollectionBody from './model/UpdateObjectTargetCollectionBody';
import AccountApi from './api/AccountApi';
import HeatmapApi from './api/HeatmapApi';
import ImageTargetApi from './api/ImageTargetApi';
import ImageTargetCollectionApi from './api/ImageTargetCollectionApi';
import ObjectTargetApi from './api/ObjectTargetApi';
import ObjectTargetCollectionApi from './api/ObjectTargetCollectionApi';
import ProjectApi from './api/ProjectApi';


/**
* The_Wikitude_Studio_API_is_a_RESTful_API_which_is_used_to_organize_and_manipulate_projects_and_its_targets_create_wtc_wto_files_which_can_be_used_to_create_trackers_in_the_Wikitude_SDK_with_the_JavaScript_API_generate_publish_a_cloud_archive_to_the_cloud_recognition_service__image_targets_onlyDownload_API_clients__OpenAPI_3_0_https__www_wikitude_com_external_doc_documentation_studio_api_clients_wikitude_studio_api_client_openapi_zip__JavaScript_https__www_wikitude_com_external_doc_documentation_studio_api_clients_wikitude_studio_api_client_javascript_zip__Python_https__www_wikitude_com_external_doc_documentation_studio_api_clients_wikitude_studio_api_client_python_zip__PHP_https__www_wikitude_com_external_doc_documentation_studio_api_clients_wikitude_studio_api_client_php_zip__TypeScript__NodeJS_https__www_wikitude_com_external_doc_documentation_studio_api_clients_wikitude_studio_api_client_typescript_node_zip__Java_https__www_wikitude_com_external_doc_documentation_studio_api_clients_wikitude_studio_api_client_java_zip__Ruby_https__www_wikitude_com_external_doc_documentation_studio_api_clients_wikitude_studio_api_client_ruby_zip__C__NET_Core_https__www_wikitude_com_external_doc_documentation_studio_api_clients_wikitude_studio_api_client_csharp_netcore_zipThis_technical_reference_formally_explains_various_API_endpoints_Visit_the__Studio_API_documentation_https__www_wikitude_com_external_doc_documentation_studio__for_a_more_general_description_.<br>
* The <code>index</code> module provides access to constructors for all the classes which comprise the public API.
* <p>
* An AMD (recommended!) or CommonJS application will generally do something equivalent to the following:
* <pre>
* var WikitudeStudioApiClient = require('index'); // See note below*.
* var xxxSvc = new WikitudeStudioApiClient.XxxApi(); // Allocate the API class we're going to use.
* var yyyModel = new WikitudeStudioApiClient.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* <em>*NOTE: For a top-level AMD script, use require(['index'], function(){...})
* and put the application logic within the callback function.</em>
* </p>
* <p>
* A non-AMD browser application (discouraged) might do something like this:
* <pre>
* var xxxSvc = new WikitudeStudioApiClient.XxxApi(); // Allocate the API class we're going to use.
* var yyy = new WikitudeStudioApiClient.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* </p>
* @module index
* @version 3.0.0
*/
export {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient,

    /**
     * The CloudArchiveGenerationResponse model constructor.
     * @property {module:model/CloudArchiveGenerationResponse}
     */
    CloudArchiveGenerationResponse,

    /**
     * The CloudArchiveGenerationResponseInputParams model constructor.
     * @property {module:model/CloudArchiveGenerationResponseInputParams}
     */
    CloudArchiveGenerationResponseInputParams,

    /**
     * The CreateImageTargetCollectionBody model constructor.
     * @property {module:model/CreateImageTargetCollectionBody}
     */
    CreateImageTargetCollectionBody,

    /**
     * The CreateImageTargetCollectionBodyCloudArchive model constructor.
     * @property {module:model/CreateImageTargetCollectionBodyCloudArchive}
     */
    CreateImageTargetCollectionBodyCloudArchive,

    /**
     * The CreateImageTargetsBody model constructor.
     * @property {module:model/CreateImageTargetsBody}
     */
    CreateImageTargetsBody,

    /**
     * The CreateImageTargetsResponse model constructor.
     * @property {module:model/CreateImageTargetsResponse}
     */
    CreateImageTargetsResponse,

    /**
     * The CreateImageTargetsResponseInputParams model constructor.
     * @property {module:model/CreateImageTargetsResponseInputParams}
     */
    CreateImageTargetsResponseInputParams,

    /**
     * The CreateImageTargetsResponseInputParamsTargets model constructor.
     * @property {module:model/CreateImageTargetsResponseInputParamsTargets}
     */
    CreateImageTargetsResponseInputParamsTargets,

    /**
     * The CreateObjectTargetCollectionBody model constructor.
     * @property {module:model/CreateObjectTargetCollectionBody}
     */
    CreateObjectTargetCollectionBody,

    /**
     * The CreateObjectTargetImagesBody model constructor.
     * @property {module:model/CreateObjectTargetImagesBody}
     */
    CreateObjectTargetImagesBody,

    /**
     * The CreateObjectTargetImagesBodyResource model constructor.
     * @property {module:model/CreateObjectTargetImagesBodyResource}
     */
    CreateObjectTargetImagesBodyResource,

    /**
     * The CreateObjectTargetWTOBody model constructor.
     * @property {module:model/CreateObjectTargetWTOBody}
     */
    CreateObjectTargetWTOBody,

    /**
     * The CreateObjectTargetWTOBodyResource model constructor.
     * @property {module:model/CreateObjectTargetWTOBodyResource}
     */
    CreateObjectTargetWTOBodyResource,

    /**
     * The ExtendObjectTargetBody model constructor.
     * @property {module:model/ExtendObjectTargetBody}
     */
    ExtendObjectTargetBody,

    /**
     * The GenerateHeatmapBody model constructor.
     * @property {module:model/GenerateHeatmapBody}
     */
    GenerateHeatmapBody,

    /**
     * The GenerateHeatmapResponse model constructor.
     * @property {module:model/GenerateHeatmapResponse}
     */
    GenerateHeatmapResponse,

    /**
     * The GenerateHeatmapResponseInputParams model constructor.
     * @property {module:model/GenerateHeatmapResponseInputParams}
     */
    GenerateHeatmapResponseInputParams,

    /**
     * The GenerateHeatmapStatusResponse model constructor.
     * @property {module:model/GenerateHeatmapStatusResponse}
     */
    GenerateHeatmapStatusResponse,

    /**
     * The GenerateHeatmapStatusResponsePayload model constructor.
     * @property {module:model/GenerateHeatmapStatusResponsePayload}
     */
    GenerateHeatmapStatusResponsePayload,

    /**
     * The GenerateWTCBody model constructor.
     * @property {module:model/GenerateWTCBody}
     */
    GenerateWTCBody,

    /**
     * The GenerateWTCStatusResponse model constructor.
     * @property {module:model/GenerateWTCStatusResponse}
     */
    GenerateWTCStatusResponse,

    /**
     * The GenerateWTOBody model constructor.
     * @property {module:model/GenerateWTOBody}
     */
    GenerateWTOBody,

    /**
     * The GetAccountInfoResponse model constructor.
     * @property {module:model/GetAccountInfoResponse}
     */
    GetAccountInfoResponse,

    /**
     * The GetAccountInfoResponseStorage model constructor.
     * @property {module:model/GetAccountInfoResponseStorage}
     */
    GetAccountInfoResponseStorage,

    /**
     * The ImageTargetCollectionResponse model constructor.
     * @property {module:model/ImageTargetCollectionResponse}
     */
    ImageTargetCollectionResponse,

    /**
     * The ImageTargetCollectionResponseCloudArchive model constructor.
     * @property {module:model/ImageTargetCollectionResponseCloudArchive}
     */
    ImageTargetCollectionResponseCloudArchive,

    /**
     * The ImageTargetCollectionResponseWtc model constructor.
     * @property {module:model/ImageTargetCollectionResponseWtc}
     */
    ImageTargetCollectionResponseWtc,

    /**
     * The ImageTargetResponse model constructor.
     * @property {module:model/ImageTargetResponse}
     */
    ImageTargetResponse,

    /**
     * The ObjectTargetCollectionJobResponse model constructor.
     * @property {module:model/ObjectTargetCollectionJobResponse}
     */
    ObjectTargetCollectionJobResponse,

    /**
     * The ObjectTargetCollectionResponse model constructor.
     * @property {module:model/ObjectTargetCollectionResponse}
     */
    ObjectTargetCollectionResponse,

    /**
     * The ObjectTargetCollectionResponseWto model constructor.
     * @property {module:model/ObjectTargetCollectionResponseWto}
     */
    ObjectTargetCollectionResponseWto,

    /**
     * The ObjectTargetJobResponse model constructor.
     * @property {module:model/ObjectTargetJobResponse}
     */
    ObjectTargetJobResponse,

    /**
     * The ObjectTargetResponse model constructor.
     * @property {module:model/ObjectTargetResponse}
     */
    ObjectTargetResponse,

    /**
     * The ObjectTargetResponseResource model constructor.
     * @property {module:model/ObjectTargetResponseResource}
     */
    ObjectTargetResponseResource,

    /**
     * The ObjectTargetResponseWtoFile model constructor.
     * @property {module:model/ObjectTargetResponseWtoFile}
     */
    ObjectTargetResponseWtoFile,

    /**
     * The RenameObjectTargetBody model constructor.
     * @property {module:model/RenameObjectTargetBody}
     */
    RenameObjectTargetBody,

    /**
     * The SimilarityCheckBody model constructor.
     * @property {module:model/SimilarityCheckBody}
     */
    SimilarityCheckBody,

    /**
     * The SimilarityCheckBodyImages model constructor.
     * @property {module:model/SimilarityCheckBodyImages}
     */
    SimilarityCheckBodyImages,

    /**
     * The SimilarityCheckResponse model constructor.
     * @property {module:model/SimilarityCheckResponse}
     */
    SimilarityCheckResponse,

    /**
     * The SimilarityCheckResponseInputParams model constructor.
     * @property {module:model/SimilarityCheckResponseInputParams}
     */
    SimilarityCheckResponseInputParams,

    /**
     * The SimilarityCheckResponseInputParamsImages model constructor.
     * @property {module:model/SimilarityCheckResponseInputParamsImages}
     */
    SimilarityCheckResponseInputParamsImages,

    /**
     * The SimilarityCheckStatusResponse model constructor.
     * @property {module:model/SimilarityCheckStatusResponse}
     */
    SimilarityCheckStatusResponse,

    /**
     * The SimilarityCheckStatusResponseCandidates model constructor.
     * @property {module:model/SimilarityCheckStatusResponseCandidates}
     */
    SimilarityCheckStatusResponseCandidates,

    /**
     * The SimilarityCheckStatusResponseInputParams model constructor.
     * @property {module:model/SimilarityCheckStatusResponseInputParams}
     */
    SimilarityCheckStatusResponseInputParams,

    /**
     * The SimilarityCheckStatusResponsePayload model constructor.
     * @property {module:model/SimilarityCheckStatusResponsePayload}
     */
    SimilarityCheckStatusResponsePayload,

    /**
     * The UpdateImageTargetBody model constructor.
     * @property {module:model/UpdateImageTargetBody}
     */
    UpdateImageTargetBody,

    /**
     * The UpdateImageTargetCollectionBody model constructor.
     * @property {module:model/UpdateImageTargetCollectionBody}
     */
    UpdateImageTargetCollectionBody,

    /**
     * The UpdateObjectTargetCollectionBody model constructor.
     * @property {module:model/UpdateObjectTargetCollectionBody}
     */
    UpdateObjectTargetCollectionBody,

    /**
    * The AccountApi service constructor.
    * @property {module:api/AccountApi}
    */
    AccountApi,

    /**
    * The HeatmapApi service constructor.
    * @property {module:api/HeatmapApi}
    */
    HeatmapApi,

    /**
    * The ImageTargetApi service constructor.
    * @property {module:api/ImageTargetApi}
    */
    ImageTargetApi,

    /**
    * The ImageTargetCollectionApi service constructor.
    * @property {module:api/ImageTargetCollectionApi}
    */
    ImageTargetCollectionApi,

    /**
    * The ObjectTargetApi service constructor.
    * @property {module:api/ObjectTargetApi}
    */
    ObjectTargetApi,

    /**
    * The ObjectTargetCollectionApi service constructor.
    * @property {module:api/ObjectTargetCollectionApi}
    */
    ObjectTargetCollectionApi,

    /**
    * The ProjectApi service constructor.
    * @property {module:api/ProjectApi}
    */
    ProjectApi
};
