/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The CreateImageTargetCollectionBodyCloudArchive model module.
 * @module model/CreateImageTargetCollectionBodyCloudArchive
 * @version 3.0.0
 */
class CreateImageTargetCollectionBodyCloudArchive {
    /**
     * Constructs a new <code>CreateImageTargetCollectionBodyCloudArchive</code>.
     * @alias module:model/CreateImageTargetCollectionBodyCloudArchive
     */
    constructor() { 
        
        CreateImageTargetCollectionBodyCloudArchive.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>CreateImageTargetCollectionBodyCloudArchive</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateImageTargetCollectionBodyCloudArchive} obj Optional instance to populate.
     * @return {module:model/CreateImageTargetCollectionBodyCloudArchive} The populated <code>CreateImageTargetCollectionBodyCloudArchive</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new CreateImageTargetCollectionBodyCloudArchive();

            if (data.hasOwnProperty('enabled')) {
                obj['enabled'] = ApiClient.convertToType(data['enabled'], 'Boolean');
            }
        }
        return obj;
    }


}

/**
 * Optional - Activates an Image Target Collection for cloud recognition. All containing Image Targets are added to the quota. If the value is \"false\", the cloud archive can not be generated and an error is returned by the cloud archive generation endpoint. Default: true 
 * @member {Boolean} enabled
 */
CreateImageTargetCollectionBodyCloudArchive.prototype['enabled'] = undefined;






export default CreateImageTargetCollectionBodyCloudArchive;

