/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import CreateImageTargetsResponseInputParamsTargets from './CreateImageTargetsResponseInputParamsTargets';

/**
 * The CreateImageTargetsResponseInputParams model module.
 * @module model/CreateImageTargetsResponseInputParams
 * @version 3.0.0
 */
class CreateImageTargetsResponseInputParams {
    /**
     * Constructs a new <code>CreateImageTargetsResponseInputParams</code>.
     * Object containing job relevant parameters.
     * @alias module:model/CreateImageTargetsResponseInputParams
     */
    constructor() { 
        
        CreateImageTargetsResponseInputParams.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>CreateImageTargetsResponseInputParams</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateImageTargetsResponseInputParams} obj Optional instance to populate.
     * @return {module:model/CreateImageTargetsResponseInputParams} The populated <code>CreateImageTargetsResponseInputParams</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new CreateImageTargetsResponseInputParams();

            if (data.hasOwnProperty('tcId')) {
                obj['tcId'] = ApiClient.convertToType(data['tcId'], 'String');
            }
            if (data.hasOwnProperty('targets')) {
                obj['targets'] = ApiClient.convertToType(data['targets'], [CreateImageTargetsResponseInputParamsTargets]);
            }
            if (data.hasOwnProperty('userId')) {
                obj['userId'] = ApiClient.convertToType(data['userId'], 'String');
            }
        }
        return obj;
    }


}

/**
 * Unique identifier of the Target Collection.
 * @member {String} tcId
 */
CreateImageTargetsResponseInputParams.prototype['tcId'] = undefined;

/**
 * List of Image Targets.
 * @member {Array.<module:model/CreateImageTargetsResponseInputParamsTargets>} targets
 */
CreateImageTargetsResponseInputParams.prototype['targets'] = undefined;

/**
 * Unique identifier of the User.
 * @member {String} userId
 */
CreateImageTargetsResponseInputParams.prototype['userId'] = undefined;






export default CreateImageTargetsResponseInputParams;

