/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The CreateImageTargetsResponseInputParamsTargets model module.
 * @module model/CreateImageTargetsResponseInputParamsTargets
 * @version 3.0.0
 */
class CreateImageTargetsResponseInputParamsTargets {
    /**
     * Constructs a new <code>CreateImageTargetsResponseInputParamsTargets</code>.
     * @alias module:model/CreateImageTargetsResponseInputParamsTargets
     */
    constructor() { 
        
        CreateImageTargetsResponseInputParamsTargets.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>CreateImageTargetsResponseInputParamsTargets</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateImageTargetsResponseInputParamsTargets} obj Optional instance to populate.
     * @return {module:model/CreateImageTargetsResponseInputParamsTargets} The populated <code>CreateImageTargetsResponseInputParamsTargets</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new CreateImageTargetsResponseInputParamsTargets();

            if (data.hasOwnProperty('name')) {
                obj['name'] = ApiClient.convertToType(data['name'], 'String');
            }
            if (data.hasOwnProperty('imageUrl')) {
                obj['imageUrl'] = ApiClient.convertToType(data['imageUrl'], 'String');
            }
            if (data.hasOwnProperty('physicalHeight')) {
                obj['physicalHeight'] = ApiClient.convertToType(data['physicalHeight'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * Name of the Target.
 * @member {String} name
 */
CreateImageTargetsResponseInputParamsTargets.prototype['name'] = undefined;

/**
 * URL to the Target Image resource.
 * @member {String} imageUrl
 */
CreateImageTargetsResponseInputParamsTargets.prototype['imageUrl'] = undefined;

/**
 * The physical (real world) height of the target, in millimeters.
 * @member {Number} physicalHeight
 */
CreateImageTargetsResponseInputParamsTargets.prototype['physicalHeight'] = undefined;






export default CreateImageTargetsResponseInputParamsTargets;

