/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The CreateObjectTargetImagesBodyResource model module.
 * @module model/CreateObjectTargetImagesBodyResource
 * @version 3.0.0
 */
class CreateObjectTargetImagesBodyResource {
    /**
     * Constructs a new <code>CreateObjectTargetImagesBodyResource</code>.
     * @alias module:model/CreateObjectTargetImagesBodyResource
     */
    constructor() { 
        
        CreateObjectTargetImagesBodyResource.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>CreateObjectTargetImagesBodyResource</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateObjectTargetImagesBodyResource} obj Optional instance to populate.
     * @return {module:model/CreateObjectTargetImagesBodyResource} The populated <code>CreateObjectTargetImagesBodyResource</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new CreateObjectTargetImagesBodyResource();

            if (data.hasOwnProperty('uri')) {
                obj['uri'] = ApiClient.convertToType(data['uri'], ['String']);
            }
            if (data.hasOwnProperty('fov')) {
                obj['fov'] = ApiClient.convertToType(data['fov'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * Required - List of images resource URLs the Object Target should be generated with.
 * @member {Array.<String>} uri
 */
CreateObjectTargetImagesBodyResource.prototype['uri'] = undefined;

/**
 * Required - Field of view.
 * @member {Number} fov
 */
CreateObjectTargetImagesBodyResource.prototype['fov'] = undefined;






export default CreateObjectTargetImagesBodyResource;

