/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The GenerateWTCStatusResponse model module.
 * @module model/GenerateWTCStatusResponse
 * @version 3.0.0
 */
class GenerateWTCStatusResponse {
    /**
     * Constructs a new <code>GenerateWTCStatusResponse</code>.
     * @alias module:model/GenerateWTCStatusResponse
     */
    constructor() { 
        
        GenerateWTCStatusResponse.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>GenerateWTCStatusResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/GenerateWTCStatusResponse} obj Optional instance to populate.
     * @return {module:model/GenerateWTCStatusResponse} The populated <code>GenerateWTCStatusResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new GenerateWTCStatusResponse();

            if (data.hasOwnProperty('payload')) {
                obj['payload'] = ApiClient.convertToType(data['payload'], Object);
            }
            if (data.hasOwnProperty('estimatedStart')) {
                obj['estimatedStart'] = ApiClient.convertToType(data['estimatedStart'], 'Number');
            }
            if (data.hasOwnProperty('estimatedEnd')) {
                obj['estimatedEnd'] = ApiClient.convertToType(data['estimatedEnd'], 'Number');
            }
            if (data.hasOwnProperty('status')) {
                obj['status'] = ApiClient.convertToType(data['status'], 'String');
            }
            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'String');
            }
            if (data.hasOwnProperty('eMail')) {
                obj['eMail'] = ApiClient.convertToType(data['eMail'], 'String');
            }
            if (data.hasOwnProperty('generationId')) {
                obj['generationId'] = ApiClient.convertToType(data['generationId'], 'String');
            }
            if (data.hasOwnProperty('created')) {
                obj['created'] = ApiClient.convertToType(data['created'], 'Number');
            }
            if (data.hasOwnProperty('sdkVersion')) {
                obj['sdkVersion'] = ApiClient.convertToType(data['sdkVersion'], 'String');
            }
        }
        return obj;
    }


}

/**
 * Object containing job relevant results.
 * @member {Object} payload
 */
GenerateWTCStatusResponse.prototype['payload'] = undefined;

/**
 * Estimation of when the job will start processing.
 * @member {Number} estimatedStart
 */
GenerateWTCStatusResponse.prototype['estimatedStart'] = undefined;

/**
 * Estimation of when the job will approximately be finished.
 * @member {Number} estimatedEnd
 */
GenerateWTCStatusResponse.prototype['estimatedEnd'] = undefined;

/**
 * The status of the asynchronous job.
 * @member {String} status
 */
GenerateWTCStatusResponse.prototype['status'] = undefined;

/**
 * Unique identifier of the Target Collection.
 * @member {String} id
 */
GenerateWTCStatusResponse.prototype['id'] = undefined;

/**
 * The e-mail address, the notification is sent after the generation of the resource is finished.
 * @member {String} eMail
 */
GenerateWTCStatusResponse.prototype['eMail'] = undefined;

/**
 * The asynchronous job id.
 * @member {String} generationId
 */
GenerateWTCStatusResponse.prototype['generationId'] = undefined;

/**
 * Timestamp of the job creation.
 * @member {Number} created
 */
GenerateWTCStatusResponse.prototype['created'] = undefined;

/**
 * Version of the Wikitude SDK the WTC resource was generated for.
 * @member {String} sdkVersion
 */
GenerateWTCStatusResponse.prototype['sdkVersion'] = undefined;






export default GenerateWTCStatusResponse;

