/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import GetAccountInfoResponseStorage from './GetAccountInfoResponseStorage';

/**
 * The GetAccountInfoResponse model module.
 * @module model/GetAccountInfoResponse
 * @version 3.0.0
 */
class GetAccountInfoResponse {
    /**
     * Constructs a new <code>GetAccountInfoResponse</code>.
     * User account information.
     * @alias module:model/GetAccountInfoResponse
     */
    constructor() { 
        
        GetAccountInfoResponse.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>GetAccountInfoResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/GetAccountInfoResponse} obj Optional instance to populate.
     * @return {module:model/GetAccountInfoResponse} The populated <code>GetAccountInfoResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new GetAccountInfoResponse();

            if (data.hasOwnProperty('storage')) {
                obj['storage'] = GetAccountInfoResponseStorage.constructFromObject(data['storage']);
            }
            if (data.hasOwnProperty('userEmail')) {
                obj['userEmail'] = ApiClient.convertToType(data['userEmail'], 'String');
            }
            if (data.hasOwnProperty('publicUserId')) {
                obj['publicUserId'] = ApiClient.convertToType(data['publicUserId'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {module:model/GetAccountInfoResponseStorage} storage
 */
GetAccountInfoResponse.prototype['storage'] = undefined;

/**
 * The e-mail address of the user account.
 * @member {String} userEmail
 */
GetAccountInfoResponse.prototype['userEmail'] = undefined;

/**
 * This id, also communicated as groupId, is a unique identifier and used for cloud recognition.
 * @member {String} publicUserId
 */
GetAccountInfoResponse.prototype['publicUserId'] = undefined;






export default GetAccountInfoResponse;

