/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import ImageTargetCollectionResponseCloudArchive from './ImageTargetCollectionResponseCloudArchive';
import ImageTargetCollectionResponseWtc from './ImageTargetCollectionResponseWtc';

/**
 * The ImageTargetCollectionResponse model module.
 * @module model/ImageTargetCollectionResponse
 * @version 3.0.0
 */
class ImageTargetCollectionResponse {
    /**
     * Constructs a new <code>ImageTargetCollectionResponse</code>.
     * @alias module:model/ImageTargetCollectionResponse
     */
    constructor() { 
        
        ImageTargetCollectionResponse.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>ImageTargetCollectionResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ImageTargetCollectionResponse} obj Optional instance to populate.
     * @return {module:model/ImageTargetCollectionResponse} The populated <code>ImageTargetCollectionResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new ImageTargetCollectionResponse();

            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'String');
            }
            if (data.hasOwnProperty('name')) {
                obj['name'] = ApiClient.convertToType(data['name'], 'String');
            }
            if (data.hasOwnProperty('type')) {
                obj['type'] = ApiClient.convertToType(data['type'], 'String');
            }
            if (data.hasOwnProperty('wtc')) {
                obj['wtc'] = ApiClient.convertToType(data['wtc'], [ImageTargetCollectionResponseWtc]);
            }
            if (data.hasOwnProperty('modDat')) {
                obj['modDat'] = ApiClient.convertToType(data['modDat'], 'Number');
            }
            if (data.hasOwnProperty('creDat')) {
                obj['creDat'] = ApiClient.convertToType(data['creDat'], 'Number');
            }
            if (data.hasOwnProperty('metadata')) {
                obj['metadata'] = ApiClient.convertToType(data['metadata'], Object);
            }
            if (data.hasOwnProperty('cloudArchive')) {
                obj['cloudArchive'] = ImageTargetCollectionResponseCloudArchive.constructFromObject(data['cloudArchive']);
            }
        }
        return obj;
    }


}

/**
 * Unique identifier of the Target Collection.
 * @member {String} id
 */
ImageTargetCollectionResponse.prototype['id'] = undefined;

/**
 * Name of the Target Collection.
 * @member {String} name
 */
ImageTargetCollectionResponse.prototype['name'] = undefined;

/**
 * Type of the Target Collection (\"ImageTargetCollection\" or \"ObjectTargetCollection\").
 * @member {String} type
 */
ImageTargetCollectionResponse.prototype['type'] = undefined;

/**
 * A list of generated WTC files.
 * @member {Array.<module:model/ImageTargetCollectionResponseWtc>} wtc
 */
ImageTargetCollectionResponse.prototype['wtc'] = undefined;

/**
 * Modification timestamp.
 * @member {Number} modDat
 */
ImageTargetCollectionResponse.prototype['modDat'] = undefined;

/**
 * Creation timestamp.
 * @member {Number} creDat
 */
ImageTargetCollectionResponse.prototype['creDat'] = undefined;

/**
 * Arbitrary JSON data that should be stored together with the Target Collection.
 * @member {Object} metadata
 */
ImageTargetCollectionResponse.prototype['metadata'] = undefined;

/**
 * @member {module:model/ImageTargetCollectionResponseCloudArchive} cloudArchive
 */
ImageTargetCollectionResponse.prototype['cloudArchive'] = undefined;






export default ImageTargetCollectionResponse;

