/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The ImageTargetCollectionResponseWtc model module.
 * @module model/ImageTargetCollectionResponseWtc
 * @version 3.0.0
 */
class ImageTargetCollectionResponseWtc {
    /**
     * Constructs a new <code>ImageTargetCollectionResponseWtc</code>.
     * @alias module:model/ImageTargetCollectionResponseWtc
     */
    constructor() { 
        
        ImageTargetCollectionResponseWtc.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>ImageTargetCollectionResponseWtc</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ImageTargetCollectionResponseWtc} obj Optional instance to populate.
     * @return {module:model/ImageTargetCollectionResponseWtc} The populated <code>ImageTargetCollectionResponseWtc</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new ImageTargetCollectionResponseWtc();

            if (data.hasOwnProperty('url')) {
                obj['url'] = ApiClient.convertToType(data['url'], 'String');
            }
            if (data.hasOwnProperty('nrOfTargets')) {
                obj['nrOfTargets'] = ApiClient.convertToType(data['nrOfTargets'], 'Number');
            }
            if (data.hasOwnProperty('version')) {
                obj['version'] = ApiClient.convertToType(data['version'], 'String');
            }
            if (data.hasOwnProperty('creDat')) {
                obj['creDat'] = ApiClient.convertToType(data['creDat'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * URL to the WTC resource.
 * @member {String} url
 */
ImageTargetCollectionResponseWtc.prototype['url'] = undefined;

/**
 * Number of Targets bundled in the WTC resource.
 * @member {Number} nrOfTargets
 */
ImageTargetCollectionResponseWtc.prototype['nrOfTargets'] = undefined;

/**
 * Version of the Wikitude SDK the WTC resource was generated for.
 * @member {String} version
 */
ImageTargetCollectionResponseWtc.prototype['version'] = undefined;

/**
 * Creation timestamp.
 * @member {Number} creDat
 */
ImageTargetCollectionResponseWtc.prototype['creDat'] = undefined;






export default ImageTargetCollectionResponseWtc;

