/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The ImageTargetResponse model module.
 * @module model/ImageTargetResponse
 * @version 3.0.0
 */
class ImageTargetResponse {
    /**
     * Constructs a new <code>ImageTargetResponse</code>.
     * @alias module:model/ImageTargetResponse
     */
    constructor() { 
        
        ImageTargetResponse.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>ImageTargetResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ImageTargetResponse} obj Optional instance to populate.
     * @return {module:model/ImageTargetResponse} The populated <code>ImageTargetResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new ImageTargetResponse();

            if (data.hasOwnProperty('thumbnailUrl')) {
                obj['thumbnailUrl'] = ApiClient.convertToType(data['thumbnailUrl'], 'String');
            }
            if (data.hasOwnProperty('rating')) {
                obj['rating'] = ApiClient.convertToType(data['rating'], 'Number');
            }
            if (data.hasOwnProperty('distribution')) {
                obj['distribution'] = ApiClient.convertToType(data['distribution'], 'Number');
            }
            if (data.hasOwnProperty('fileSize')) {
                obj['fileSize'] = ApiClient.convertToType(data['fileSize'], 'Number');
            }
            if (data.hasOwnProperty('name')) {
                obj['name'] = ApiClient.convertToType(data['name'], 'String');
            }
            if (data.hasOwnProperty('imageUrl')) {
                obj['imageUrl'] = ApiClient.convertToType(data['imageUrl'], 'String');
            }
            if (data.hasOwnProperty('type')) {
                obj['type'] = ApiClient.convertToType(data['type'], 'String');
            }
            if (data.hasOwnProperty('modDat')) {
                obj['modDat'] = ApiClient.convertToType(data['modDat'], 'Number');
            }
            if (data.hasOwnProperty('creDat')) {
                obj['creDat'] = ApiClient.convertToType(data['creDat'], 'Number');
            }
            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'String');
            }
            if (data.hasOwnProperty('metadata')) {
                obj['metadata'] = ApiClient.convertToType(data['metadata'], 'String');
            }
            if (data.hasOwnProperty('physicalHeight')) {
                obj['physicalHeight'] = ApiClient.convertToType(data['physicalHeight'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * URL to the Target resource thumbnail.
 * @member {String} thumbnailUrl
 */
ImageTargetResponse.prototype['thumbnailUrl'] = undefined;

/**
 * The star rating indicates the quality of the target, i.e. how well the target is recognized on the device. The more stars a target has, the better it can be recognized and tracked. 
 * @member {Number} rating
 */
ImageTargetResponse.prototype['rating'] = undefined;

/**
 * The distribution rating indicates how well feature-points scatter over the target image. The higher the rating, the more reliable it can be recognized and tracked, even if partly covered. 
 * @member {Number} distribution
 */
ImageTargetResponse.prototype['distribution'] = undefined;

/**
 * File size of the stored resource.
 * @member {Number} fileSize
 */
ImageTargetResponse.prototype['fileSize'] = undefined;

/**
 * Name of the Target.
 * @member {String} name
 */
ImageTargetResponse.prototype['name'] = undefined;

/**
 * URL to the Target Image resource.
 * @member {String} imageUrl
 */
ImageTargetResponse.prototype['imageUrl'] = undefined;

/**
 * Type of the Target (\"Image\" for Image Targets or \"Object\" for Object Targets).
 * @member {String} type
 */
ImageTargetResponse.prototype['type'] = undefined;

/**
 * Modification timestamp.
 * @member {Number} modDat
 */
ImageTargetResponse.prototype['modDat'] = undefined;

/**
 * Creation timestamp.
 * @member {Number} creDat
 */
ImageTargetResponse.prototype['creDat'] = undefined;

/**
 * Unique identifier of the Target.
 * @member {String} id
 */
ImageTargetResponse.prototype['id'] = undefined;

/**
 * Arbitrary JSON data that should be stored together with the Target.
 * @member {String} metadata
 */
ImageTargetResponse.prototype['metadata'] = undefined;

/**
 * The physical (real world) height of the target, in millimeters.
 * @member {Number} physicalHeight
 */
ImageTargetResponse.prototype['physicalHeight'] = undefined;






export default ImageTargetResponse;

