/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The ObjectTargetJobResponse model module.
 * @module model/ObjectTargetJobResponse
 * @version 3.0.0
 */
class ObjectTargetJobResponse {
    /**
     * Constructs a new <code>ObjectTargetJobResponse</code>.
     * @alias module:model/ObjectTargetJobResponse
     */
    constructor() { 
        
        ObjectTargetJobResponse.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>ObjectTargetJobResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ObjectTargetJobResponse} obj Optional instance to populate.
     * @return {module:model/ObjectTargetJobResponse} The populated <code>ObjectTargetJobResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new ObjectTargetJobResponse();

            if (data.hasOwnProperty('created')) {
                obj['created'] = ApiClient.convertToType(data['created'], 'Number');
            }
            if (data.hasOwnProperty('estimatedStart')) {
                obj['estimatedStart'] = ApiClient.convertToType(data['estimatedStart'], 'Number');
            }
            if (data.hasOwnProperty('estimatedEnd')) {
                obj['estimatedEnd'] = ApiClient.convertToType(data['estimatedEnd'], 'Number');
            }
            if (data.hasOwnProperty('estimatedLatency')) {
                obj['estimatedLatency'] = ApiClient.convertToType(data['estimatedLatency'], 'Number');
            }
            if (data.hasOwnProperty('status')) {
                obj['status'] = ApiClient.convertToType(data['status'], 'String');
            }
            if (data.hasOwnProperty('generationId')) {
                obj['generationId'] = ApiClient.convertToType(data['generationId'], 'String');
            }
            if (data.hasOwnProperty('inputParams')) {
                obj['inputParams'] = ApiClient.convertToType(data['inputParams'], Object);
            }
            if (data.hasOwnProperty('payload')) {
                obj['payload'] = ApiClient.convertToType(data['payload'], Object);
            }
        }
        return obj;
    }


}

/**
 * Timestamp of the job creation.
 * @member {Number} created
 */
ObjectTargetJobResponse.prototype['created'] = undefined;

/**
 * Estimation of when the job will start processing.
 * @member {Number} estimatedStart
 */
ObjectTargetJobResponse.prototype['estimatedStart'] = undefined;

/**
 * Estimation of when the job will approximately be finished.
 * @member {Number} estimatedEnd
 */
ObjectTargetJobResponse.prototype['estimatedEnd'] = undefined;

/**
 * Recommendation of when to first poll the corresponding status endpoint in milliseconds.
 * @member {Number} estimatedLatency
 */
ObjectTargetJobResponse.prototype['estimatedLatency'] = undefined;

/**
 * The status of the asynchronous job.
 * @member {String} status
 */
ObjectTargetJobResponse.prototype['status'] = undefined;

/**
 * The asynchronous job id.
 * @member {String} generationId
 */
ObjectTargetJobResponse.prototype['generationId'] = undefined;

/**
 * Object containing job relevant parameters.
 * @member {Object} inputParams
 */
ObjectTargetJobResponse.prototype['inputParams'] = undefined;

/**
 * Object containing job relevant results.
 * @member {Object} payload
 */
ObjectTargetJobResponse.prototype['payload'] = undefined;






export default ObjectTargetJobResponse;

