/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import SimilarityCheckStatusResponseInputParams from './SimilarityCheckStatusResponseInputParams';
import SimilarityCheckStatusResponsePayload from './SimilarityCheckStatusResponsePayload';

/**
 * The SimilarityCheckStatusResponse model module.
 * @module model/SimilarityCheckStatusResponse
 * @version 3.0.0
 */
class SimilarityCheckStatusResponse {
    /**
     * Constructs a new <code>SimilarityCheckStatusResponse</code>.
     * @alias module:model/SimilarityCheckStatusResponse
     */
    constructor() { 
        
        SimilarityCheckStatusResponse.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>SimilarityCheckStatusResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/SimilarityCheckStatusResponse} obj Optional instance to populate.
     * @return {module:model/SimilarityCheckStatusResponse} The populated <code>SimilarityCheckStatusResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new SimilarityCheckStatusResponse();

            if (data.hasOwnProperty('payload')) {
                obj['payload'] = ApiClient.convertToType(data['payload'], [SimilarityCheckStatusResponsePayload]);
            }
            if (data.hasOwnProperty('inputParams')) {
                obj['inputParams'] = SimilarityCheckStatusResponseInputParams.constructFromObject(data['inputParams']);
            }
            if (data.hasOwnProperty('status')) {
                obj['status'] = ApiClient.convertToType(data['status'], 'String');
            }
            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'String');
            }
            if (data.hasOwnProperty('estimatedLatency')) {
                obj['estimatedLatency'] = ApiClient.convertToType(data['estimatedLatency'], 'Number');
            }
            if (data.hasOwnProperty('created')) {
                obj['created'] = ApiClient.convertToType(data['created'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * Array containing job relevant results.
 * @member {Array.<module:model/SimilarityCheckStatusResponsePayload>} payload
 */
SimilarityCheckStatusResponse.prototype['payload'] = undefined;

/**
 * @member {module:model/SimilarityCheckStatusResponseInputParams} inputParams
 */
SimilarityCheckStatusResponse.prototype['inputParams'] = undefined;

/**
 * The status of the asynchronous job.
 * @member {String} status
 */
SimilarityCheckStatusResponse.prototype['status'] = undefined;

/**
 * The asynchronous job id.
 * @member {String} id
 */
SimilarityCheckStatusResponse.prototype['id'] = undefined;

/**
 * Recommendation of when to first poll the corresponding status endpoint in milliseconds.
 * @member {Number} estimatedLatency
 */
SimilarityCheckStatusResponse.prototype['estimatedLatency'] = undefined;

/**
 * Timestamp of the job creation.
 * @member {Number} created
 */
SimilarityCheckStatusResponse.prototype['created'] = undefined;






export default SimilarityCheckStatusResponse;

