/**
 * Wikitude Studio API
 * The Wikitude Studio API is a RESTful API which is used to * organize and manipulate projects and its targets * create wtc/wto files which can be used to create trackers in the Wikitude SDK with the JavaScript API * generate/publish a cloud archive to the cloud recognition service (image targets only)  Download API clients: * [`OpenAPI 3.0`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-openapi.zip) * [`JavaScript`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-javascript.zip) * [`Python`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-python.zip) * [`PHP`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-php.zip) * [`TypeScript (NodeJS)`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-typescript-node.zip) * [`Java`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-java.zip) * [`Ruby`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-ruby.zip) * [`C# .NET Core`](https://www.wikitude.com/external/doc/documentation/studio-api/clients/wikitude_studio_api_client-csharp-netcore.zip)  This technical reference formally explains various API endpoints. Visit the [`Studio API documentation`](https://www.wikitude.com/external/doc/documentation/studio/) for a more general description. 
 *
 * The version of the OpenAPI document: 3.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The SimilarityCheckStatusResponseCandidates model module.
 * @module model/SimilarityCheckStatusResponseCandidates
 * @version 3.0.0
 */
class SimilarityCheckStatusResponseCandidates {
    /**
     * Constructs a new <code>SimilarityCheckStatusResponseCandidates</code>.
     * @alias module:model/SimilarityCheckStatusResponseCandidates
     */
    constructor() { 
        
        SimilarityCheckStatusResponseCandidates.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>SimilarityCheckStatusResponseCandidates</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/SimilarityCheckStatusResponseCandidates} obj Optional instance to populate.
     * @return {module:model/SimilarityCheckStatusResponseCandidates} The populated <code>SimilarityCheckStatusResponseCandidates</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new SimilarityCheckStatusResponseCandidates();

            if (data.hasOwnProperty('targetName')) {
                obj['targetName'] = ApiClient.convertToType(data['targetName'], 'String');
            }
            if (data.hasOwnProperty('score')) {
                obj['score'] = ApiClient.convertToType(data['score'], 'String');
            }
        }
        return obj;
    }


}

/**
 * Name of similar Image Target.
 * @member {String} targetName
 */
SimilarityCheckStatusResponseCandidates.prototype['targetName'] = undefined;

/**
 * Accuracy of similarity prediction.
 * @member {String} score
 */
SimilarityCheckStatusResponseCandidates.prototype['score'] = undefined;






export default SimilarityCheckStatusResponseCandidates;

